@extends ('layouts.patient')

@section('inner-content')
@foreach ($patient->notes as $note)
<div class="card mb-3">
    <div class="card-header d-flex align-items-center px-3">
        <div>
            {{$note->title}}
            <div moe>
                <a href="" show start><i class="fa fa-edit"></i></a>
                <form url="/api/note/putTitle">
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <input type="text" name="title" value="{{$note->title}}" class="form-control form-control-sm"
                               placeholder="Title">
                    </div>
                    <div class="form-group mb-0">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div>
            {{$note->effective_dateest}}
            <span moe>
                <a href="" show start><i class="fa fa-calendar"></i></a>
                <form url="/api/note/putEffectiveDateEST">
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <label for="" class="text-secondary text-sm">Effective date EST</label>
                        <input type="date" name="effectiveDateEST" value="{{$note->effectiveTime}}" class="form-control form-control-sm">
                    </div>
                    <div class="mb-0">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </span>
            <span moe>
                <a href="" show start><i class="fa fa-clock"></i></a>
                <form url="/api/note/putEffectiveTime">
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <label for="" class="text-secondary text-sm">Effective time </label>
                        <input type="time" name="effectiveTime" value="" class="form-control form-control-sm">
                    </div>
                    <div class="mb-0">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </span>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div>
            HCP: {{$note->hcpPro->name_display}}
            <div moe>
                <a href="" show start><i class="fa fa-edit"></i></a>
                <form url="/api/note/putHcp">
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <select name="hcpProUid" class="form-control form-control-sm">
                            <option value="">-- Select HCP Pro --</option>
                            @foreach ($pros as $pro)
                            <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="mb-0">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div>
            Ally: {{$note->allyPro->name_display}}
            <div moe>
                <a href="" show start><i class="fa fa-edit"></i></a>
                <form url="/api/note/putAlly">
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <select name="allyProUid" class="form-control form-control-sm">
                            <option value="">-- Select Ally Pro --</option>
                            @foreach ($pros as $pro)
                            <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="mb-0">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="ml-auto">
            @if($note->is_signed_by_hcp)
                <span class="text-secondary">
                    <i class="fa fa-check"></i>
                    HCP Signed
                </span>
            @else
                <div moe>
                    <a class="" href="" show start>Sign as HCP</a>
                    <form url="/api/note/signAsHcp">
                        <input type="hidden" name="uid" value="{{$note->uid}}">
                        <p>Sign this note as HCP?</p>
                        <div class="mb-0">
                            <button class="btn btn-success btn-sm" submit>Sign</button>
                            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            @endif
            <span class="mx-2 text-secondary">|</span>
            @if($note->is_signed_by_ally)
                <span class="text-secondary">
                    <i class="fa fa-check"></i>
                    Ally Signed
                </span>
            @else
                <div moe>
                    <a class="" href="" show start>Sign as Ally</a>
                    <form url="/api/note/signAsAlly">
                        <input type="hidden" name="uid" value="{{$note->uid}}">
                        <p>Sign this note as Ally?</p>
                        <div class="mb-0">
                            <button class="btn btn-success btn-sm" submit>Sign</button>
                            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            @endif
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a class="" href="" show start>Create Bill</a>
                <form url="/api/bill/createForNote">
                    <input type="hidden" name="noteUid" value="{{$note->uid}}">
                    <div class="mb-2">
                        <label for="" class="text-secondary text-sm">Effective Date</label>
                        <input type="date" name="effectiveDate" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="text" name="code" placeholder="Code" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="text" name="reason1" placeholder="Reason 1" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="text" name="reason2" placeholder="Reason 2" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="text" name="serviceLocation" placeholder="Service Location" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="text" name="modifier" placeholder="Modifier" class="form-control form-control-sm">
                    </div>
                    <div class="mb-2">
                        <input type="number" name="numberOfUnits" placeholder="Number of Units" class="form-control form-control-sm">
                    </div>
                    <div class="">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <div>

            <div class="mb-2">
                <div>
                    {!! $note->free_text_html !!}
                </div>
            </div>

            @if($note->bills->count())
            <div class="mt-2">
                <table class="table table-sm tabe-striped mb-0">
                    <thead class="bg-light">
                        <tr>
                            <th class="border-bottom-0">Bill service type</th>
                            <th class="border-bottom-0">Code</th>
                            <th class="border-bottom-0"></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($note->bills as $bill)
                        <tr>
                            <td>{{$bill->bill_service_type}}</td>
                            <td>{{$bill->code}}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    @if(!$bill->is_cancelled)
                                        @if($bill->is_signed_by_hcp)
                                            <span class="text-secondary">
                                                <i class="fa fa-check"></i>
                                                HCP Signed
                                            </span>
                                        @else
                                            <div moe>
                                                <a class="" href="" show start>Sign as HCP</a>
                                                <form url="/api/bill/signAsHcp">
                                                    <input type="hidden" name="uid" value="{{$bill->uid}}">
                                                    <p>Sign this bill as HCP?</p>
                                                    <div class="mb-0">
                                                        <button class="btn btn-success btn-sm" submit>Sign</button>
                                                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                                                    </div>
                                                </form>
                                            </div>
                                        @endif
                                        <span class="mx-2 text-secondary">|</span>
                                    @endif
                                    @if($bill->is_cancelled)
                                        <span class="text-secondary">
                                            Cancelled
                                        </span>
                                    @else
                                        <div moe>
                                            <a class="" href="" show start>Cancel</a>
                                            <form url="/api/bill/markCancelled">
                                                <input type="hidden" name="uid" value="{{$bill->uid}}">
                                                <p>Cancel this bill?</p>
                                                <div class="mb-0">
                                                    <button class="btn btn-danger btn-sm" submit>Yes</button>
                                                    <button class="btn btn-default border btn-sm" cancel>No</button>
                                                </div>
                                            </form>
                                        </div>
                                    @endif
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            @endif
        </div>
    </div>
</div>
@endforeach
@endsection
